class Module(Module):
  __parameters__ = ["shared|weight", "encoder|block|0|layer|0|SelfAttention|q|weight", "encoder|block|0|layer|0|SelfAttention|k|weight", "encoder|block|0|layer|0|SelfAttention|v|weight", "encoder|block|0|layer|0|SelfAttention|o|weight", "encoder|block|0|layer|0|SelfAttention|relative_attention_bias|weight", "encoder|block|0|layer|0|layer_norm|weight", "encoder|block|0|layer|0|layer_norm|bias", "encoder|block|0|layer|1|DenseReluDense|wi|weight", "encoder|block|0|layer|1|DenseReluDense|wo|weight", "encoder|block|0|layer|1|layer_norm|weight", "encoder|block|0|layer|1|layer_norm|bias", "encoder|block|1|layer|0|SelfAttention|q|weight", "encoder|block|1|layer|0|SelfAttention|k|weight", "encoder|block|1|layer|0|SelfAttention|v|weight", "encoder|block|1|layer|0|SelfAttention|o|weight", "encoder|block|1|layer|0|layer_norm|weight", "encoder|block|1|layer|0|layer_norm|bias", "encoder|block|1|layer|1|DenseReluDense|wi|weight", "encoder|block|1|layer|1|DenseReluDense|wo|weight", "encoder|block|1|layer|1|layer_norm|weight", "encoder|block|1|layer|1|layer_norm|bias", "encoder|block|2|layer|0|SelfAttention|q|weight", "encoder|block|2|layer|0|SelfAttention|k|weight", "encoder|block|2|layer|0|SelfAttention|v|weight", "encoder|block|2|layer|0|SelfAttention|o|weight", "encoder|block|2|layer|0|layer_norm|weight", "encoder|block|2|layer|0|layer_norm|bias", "encoder|block|2|layer|1|DenseReluDense|wi|weight", "encoder|block|2|layer|1|DenseReluDense|wo|weight", "encoder|block|2|layer|1|layer_norm|weight", "encoder|block|2|layer|1|layer_norm|bias", "encoder|block|3|layer|0|SelfAttention|q|weight", "encoder|block|3|layer|0|SelfAttention|k|weight", "encoder|block|3|layer|0|SelfAttention|v|weight", "encoder|block|3|layer|0|SelfAttention|o|weight", "encoder|block|3|layer|0|layer_norm|weight", "encoder|block|3|layer|0|layer_norm|bias", "encoder|block|3|layer|1|DenseReluDense|wi|weight", "encoder|block|3|layer|1|DenseReluDense|wo|weight", "encoder|block|3|layer|1|layer_norm|weight", "encoder|block|3|layer|1|layer_norm|bias", "encoder|block|4|layer|0|SelfAttention|q|weight", "encoder|block|4|layer|0|SelfAttention|k|weight", "encoder|block|4|layer|0|SelfAttention|v|weight", "encoder|block|4|layer|0|SelfAttention|o|weight", "encoder|block|4|layer|0|layer_norm|weight", "encoder|block|4|layer|0|layer_norm|bias", "encoder|block|4|layer|1|DenseReluDense|wi|weight", "encoder|block|4|layer|1|DenseReluDense|wo|weight", "encoder|block|4|layer|1|layer_norm|weight", "encoder|block|4|layer|1|layer_norm|bias", "encoder|block|5|layer|0|SelfAttention|q|weight", "encoder|block|5|layer|0|SelfAttention|k|weight", "encoder|block|5|layer|0|SelfAttention|v|weight", "encoder|block|5|layer|0|SelfAttention|o|weight", "encoder|block|5|layer|0|layer_norm|weight", "encoder|block|5|layer|0|layer_norm|bias", "encoder|block|5|layer|1|DenseReluDense|wi|weight", "encoder|block|5|layer|1|DenseReluDense|wo|weight", "encoder|block|5|layer|1|layer_norm|weight", "encoder|block|5|layer|1|layer_norm|bias", "encoder|final_layer_norm|weight", "encoder|final_layer_norm|bias", "decoder|block|0|layer|0|SelfAttention|q|weight", "decoder|block|0|layer|0|SelfAttention|k|weight", "decoder|block|0|layer|0|SelfAttention|v|weight", "decoder|block|0|layer|0|SelfAttention|o|weight", "decoder|block|0|layer|0|SelfAttention|relative_attention_bias|weight", "decoder|block|0|layer|0|layer_norm|weight", "decoder|block|0|layer|0|layer_norm|bias", "decoder|block|0|layer|1|EncDecAttention|q|weight", "decoder|block|0|layer|1|EncDecAttention|k|weight", "decoder|block|0|layer|1|EncDecAttention|v|weight", "decoder|block|0|layer|1|EncDecAttention|o|weight", "decoder|block|0|layer|1|EncDecAttention|relative_attention_bias|weight", "decoder|block|0|layer|1|layer_norm|weight", "decoder|block|0|layer|1|layer_norm|bias", "decoder|block|0|layer|2|DenseReluDense|wi|weight", "decoder|block|0|layer|2|DenseReluDense|wo|weight", "decoder|block|0|layer|2|layer_norm|weight", "decoder|block|0|layer|2|layer_norm|bias", "decoder|block|1|layer|0|SelfAttention|q|weight", "decoder|block|1|layer|0|SelfAttention|k|weight", "decoder|block|1|layer|0|SelfAttention|v|weight", "decoder|block|1|layer|0|SelfAttention|o|weight", "decoder|block|1|layer|0|layer_norm|weight", "decoder|block|1|layer|0|layer_norm|bias", "decoder|block|1|layer|1|EncDecAttention|q|weight", "decoder|block|1|layer|1|EncDecAttention|k|weight", "decoder|block|1|layer|1|EncDecAttention|v|weight", "decoder|block|1|layer|1|EncDecAttention|o|weight", "decoder|block|1|layer|1|layer_norm|weight", "decoder|block|1|layer|1|layer_norm|bias", "decoder|block|1|layer|2|DenseReluDense|wi|weight", "decoder|block|1|layer|2|DenseReluDense|wo|weight", "decoder|block|1|layer|2|layer_norm|weight", "decoder|block|1|layer|2|layer_norm|bias", "decoder|block|2|layer|0|SelfAttention|q|weight", "decoder|block|2|layer|0|SelfAttention|k|weight", "decoder|block|2|layer|0|SelfAttention|v|weight", "decoder|block|2|layer|0|SelfAttention|o|weight", "decoder|block|2|layer|0|layer_norm|weight", "decoder|block|2|layer|0|layer_norm|bias", "decoder|block|2|layer|1|EncDecAttention|q|weight", "decoder|block|2|layer|1|EncDecAttention|k|weight", "decoder|block|2|layer|1|EncDecAttention|v|weight", "decoder|block|2|layer|1|EncDecAttention|o|weight", "decoder|block|2|layer|1|layer_norm|weight", "decoder|block|2|layer|1|layer_norm|bias", "decoder|block|2|layer|2|DenseReluDense|wi|weight", "decoder|block|2|layer|2|DenseReluDense|wo|weight", "decoder|block|2|layer|2|layer_norm|weight", "decoder|block|2|layer|2|layer_norm|bias", "decoder|block|3|layer|0|SelfAttention|q|weight", "decoder|block|3|layer|0|SelfAttention|k|weight", "decoder|block|3|layer|0|SelfAttention|v|weight", "decoder|block|3|layer|0|SelfAttention|o|weight", "decoder|block|3|layer|0|layer_norm|weight", "decoder|block|3|layer|0|layer_norm|bias", "decoder|block|3|layer|1|EncDecAttention|q|weight", "decoder|block|3|layer|1|EncDecAttention|k|weight", "decoder|block|3|layer|1|EncDecAttention|v|weight", "decoder|block|3|layer|1|EncDecAttention|o|weight", "decoder|block|3|layer|1|layer_norm|weight", "decoder|block|3|layer|1|layer_norm|bias", "decoder|block|3|layer|2|DenseReluDense|wi|weight", "decoder|block|3|layer|2|DenseReluDense|wo|weight", "decoder|block|3|layer|2|layer_norm|weight", "decoder|block|3|layer|2|layer_norm|bias", "decoder|block|4|layer|0|SelfAttention|q|weight", "decoder|block|4|layer|0|SelfAttention|k|weight", "decoder|block|4|layer|0|SelfAttention|v|weight", "decoder|block|4|layer|0|SelfAttention|o|weight", "decoder|block|4|layer|0|layer_norm|weight", "decoder|block|4|layer|0|layer_norm|bias", "decoder|block|4|layer|1|EncDecAttention|q|weight", "decoder|block|4|layer|1|EncDecAttention|k|weight", "decoder|block|4|layer|1|EncDecAttention|v|weight", "decoder|block|4|layer|1|EncDecAttention|o|weight", "decoder|block|4|layer|1|layer_norm|weight", "decoder|block|4|layer|1|layer_norm|bias", "decoder|block|4|layer|2|DenseReluDense|wi|weight", "decoder|block|4|layer|2|DenseReluDense|wo|weight", "decoder|block|4|layer|2|layer_norm|weight", "decoder|block|4|layer|2|layer_norm|bias", "decoder|block|5|layer|0|SelfAttention|q|weight", "decoder|block|5|layer|0|SelfAttention|k|weight", "decoder|block|5|layer|0|SelfAttention|v|weight", "decoder|block|5|layer|0|SelfAttention|o|weight", "decoder|block|5|layer|0|layer_norm|weight", "decoder|block|5|layer|0|layer_norm|bias", "decoder|block|5|layer|1|EncDecAttention|q|weight", "decoder|block|5|layer|1|EncDecAttention|k|weight", "decoder|block|5|layer|1|EncDecAttention|v|weight", "decoder|block|5|layer|1|EncDecAttention|o|weight", "decoder|block|5|layer|1|layer_norm|weight", "decoder|block|5|layer|1|layer_norm|bias", "decoder|block|5|layer|2|DenseReluDense|wi|weight", "decoder|block|5|layer|2|DenseReluDense|wo|weight", "decoder|block|5|layer|2|layer_norm|weight", "decoder|block|5|layer|2|layer_norm|bias", "decoder|final_layer_norm|weight", "decoder|final_layer_norm|bias", ]
  __annotations__ = []
  __annotations__["shared|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|SelfAttention|relative_attention_bias|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|0|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|0|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|0|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|0|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|0|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|1|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|1|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|1|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|1|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|1|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|1|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|1|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|1|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|1|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|1|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|2|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|2|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|2|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|2|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|2|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|2|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|2|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|2|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|2|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|2|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|3|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|3|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|3|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|3|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|3|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|3|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|3|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|3|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|3|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|3|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|4|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|4|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|4|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|4|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|4|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|4|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|4|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|4|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|4|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|4|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|5|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["encoder|block|5|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["encoder|block|5|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["encoder|block|5|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["encoder|block|5|layer|0|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|5|layer|0|layer_norm|bias"] = Tensor
  __annotations__["encoder|block|5|layer|1|DenseReluDense|wi|weight"] = Tensor
  __annotations__["encoder|block|5|layer|1|DenseReluDense|wo|weight"] = Tensor
  __annotations__["encoder|block|5|layer|1|layer_norm|weight"] = Tensor
  __annotations__["encoder|block|5|layer|1|layer_norm|bias"] = Tensor
  __annotations__["encoder|final_layer_norm|weight"] = Tensor
  __annotations__["encoder|final_layer_norm|bias"] = Tensor
  __annotations__["decoder|block|0|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|SelfAttention|relative_attention_bias|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|0|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|0|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|EncDecAttention|relative_attention_bias|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|0|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|0|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|0|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|0|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|0|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|1|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|1|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|1|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|1|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|1|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|1|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|1|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|1|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|1|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|1|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|1|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|1|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|1|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|1|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|1|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|1|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|2|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|2|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|2|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|2|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|2|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|2|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|2|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|2|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|2|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|2|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|2|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|2|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|2|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|2|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|2|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|2|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|3|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|3|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|3|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|3|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|3|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|3|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|3|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|3|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|3|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|3|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|3|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|3|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|3|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|3|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|3|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|3|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|4|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|4|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|4|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|4|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|4|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|4|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|4|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|4|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|4|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|4|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|4|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|4|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|4|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|4|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|4|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|4|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|5|layer|0|SelfAttention|q|weight"] = Tensor
  __annotations__["decoder|block|5|layer|0|SelfAttention|k|weight"] = Tensor
  __annotations__["decoder|block|5|layer|0|SelfAttention|v|weight"] = Tensor
  __annotations__["decoder|block|5|layer|0|SelfAttention|o|weight"] = Tensor
  __annotations__["decoder|block|5|layer|0|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|5|layer|0|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|5|layer|1|EncDecAttention|q|weight"] = Tensor
  __annotations__["decoder|block|5|layer|1|EncDecAttention|k|weight"] = Tensor
  __annotations__["decoder|block|5|layer|1|EncDecAttention|v|weight"] = Tensor
  __annotations__["decoder|block|5|layer|1|EncDecAttention|o|weight"] = Tensor
  __annotations__["decoder|block|5|layer|1|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|5|layer|1|layer_norm|bias"] = Tensor
  __annotations__["decoder|block|5|layer|2|DenseReluDense|wi|weight"] = Tensor
  __annotations__["decoder|block|5|layer|2|DenseReluDense|wo|weight"] = Tensor
  __annotations__["decoder|block|5|layer|2|layer_norm|weight"] = Tensor
  __annotations__["decoder|block|5|layer|2|layer_norm|bias"] = Tensor
  __annotations__["decoder|final_layer_norm|weight"] = Tensor
  __annotations__["decoder|final_layer_norm|bias"] = Tensor
